Skip to main content
PUT
Update ticket status

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string
required

PSA ticket number by default; the internal id returned by list/search with byInternalId=true

Required string length: 1 - 255

Query Parameters

byInternalId
boolean
default:false

Resolve only the internal ID returned by list/search

integrationId
string<uuid>

Integration from ticket.reference; disambiguates IDs across PSA integrations

Body

application/json
statusExternalId
string
required

externalId from GET /tickets/{id}/status-options

Minimum string length: 1

Response

Status updated in the PSA

data
object
required